#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%global         min_qt_version 5.15
%global         min_kf_version 5.96

# uncomment to enable bootstrap mode
#global bootstrap 1

%if !0%{?bootstrap}
%global tests 1
%endif

Name:           kio-fuse
Version:        5.1.0
Release:        %mkrel 2
Summary:        FUSE Interface for KIO
Group:          Graphical desktop/KDE
License:        GPLv3+
URL:            https://invent.kde.org/system/kio-fuse
Source0:        https://download.kde.org/stable/%{name}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)       >= %{min_qt_version}
BuildRequires:  cmake(Qt6Test)       >= %{min_qt_version}

BuildRequires:  cmake(KF6KIO)        >= %{min_kf_version}
BuildRequires:  cmake(KF6CoreAddons) >= %{min_kf_version}

BuildRequires:  pkgconfig(fuse3)
BuildRequires:  systemd
%if 0%{?tests}
BuildRequires:  dbus-x11
BuildRequires:  kio-extras
%endif

Requires:       dbus
Requires:       fuse3
Requires:       systemd

%description
KioFuse works by acting as a bridge between KDE's KIO filesystem design
and FUSE.

%files
%license LICENSES/GPL-3.0-or-later.txt
%doc README.md DESIGN.md
%{_libexecdir}/kio-fuse
%{_userunitdir}/kio-fuse.service
%{_kf6_datadir}/dbus-1/services/org.kde.KIOFuse.service
%{_tmpfilesdir}/%{name}-tmpfiles.conf

%prep
%autosetup -p1

sed -i 's|VERSION 5.0.0|VERSION %{version}|' CMakeLists.txt

%build
%cmake_kf6 -DBUILD_TESTING:BOOL=%{?tests:ON}%{!?tests:OFF} \
           -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install

%check
%if 0%{?tests}
export CTEST_OUTPUT_ON_FAILURE=1
dbus-launch --exit-with-session \
make test ARGS="--output-on-failure --timeout 30" -C %{_target_platform} ||:
%endif


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 5.1.0-2.mga10
+ Revision: 2220686
- Mageia 10 Mass Rebuild

* Thu Dec 14 2023 daviddavid <daviddavid> 5.1.0-1.mga10
+ Revision: 2018117
- new version 5.1.0
- switch to Qt6/KF6

* Wed Apr 06 2022 umeabot <umeabot> 5.0.1-2.mga9
+ Revision: 1846181
- Mageia 9 Mass Rebuild

* Wed Mar 24 2021 daviddavid <daviddavid> 5.0.1-1.mga9
+ Revision: 1709089
- new version: 5.0.1

* Sat Jan 09 2021 daviddavid <daviddavid> 5.0.0-1.mga8
+ Revision: 1670121
- initial package kio-fuse

